/* eslint-disable array-callback-return,no-undef */
import React, { Component } from 'react';
import { Layout } from 'antd-v4';// Tabs, Form,
import styles from '../../../index.less';
import * as commonUtils from '../../../utils/utils'; /* 通用方法 */
import PreviewPdf from './PreviewPdf';

const { Content } = Layout;

class printPdf extends Component {
  constructor(props) {
    super(props);
    this.state = {
      urlPrint: commonUtils.isNotEmptyObject(props.app.currentPane) && commonUtils.isNotEmptyObject(props.app.currentPane.previewUrl) ? props.app.currentPane.previewUrl : '',
    };
  }
  render() {
    return (
      <Layout>
        <Layout className={styles.clayout}>
          <Content className={styles.content}>
            <div className="printStyle">
              <PreviewPdf {...this.state} />
            </div>
          </Content>
        </Layout>
      </Layout>
    );
  }
}

export default printPdf;
